h48999
s 00004/00003/00051
d D 1.5 83/02/25 17:07:01 mjb 5 4
c add axis type to menu
e
s 00000/00000/00054
d D 1.4 83/02/25 14:04:20 mjb 4 3
c 
e
s 00001/00001/00053
d D 1.3 83/02/23 14:20:20 mjb 3 2
c 
e
s 00003/00005/00051
d D 1.2 83/01/26 17:03:26 mjb 2 1
c fixed for new menu.tex interface
e
s 00056/00000/00000
d D 1.1 83/01/20 11:09:18 tes 1 0
c date and time created 83/01/20 11:09:18 by tes
e
u
tes
mjb
U
t
T
I 1
subroutine cgeatt 
########################################################################
#                                                                      #
#          THIS MATERIAL IS CONFIDENTIAL AND IS FURNISHED UNDER        #
#          A WRITTEN LICENSE AGREEMENT.  IT MAY NOT BE USED,           #
#          COPIED OR DISCLOSED TO OTHERS EXCEPT IN ACCORDANCE          #
#          WITH THE TERMS OF THAT AGREEMENT.                           #
#                                                                      #
#          COPYRIGHT (C) 1982 GRAPHIC SOFTWARE SYSTEMS INC.            #
#          ALL RIGHTS RESERVED.                                        #
#                                                                      #
#     Function: Put current graph chart attributes for graph edit menu #
#               into the data buffer for data display                  #
#                                                                      #
#     Input Parameters:                                                #
#            none                                                      #
#                                                                      #
#     Output Parameters:                                               #
#            none                                                      #
#                                                                      #
#     Routines Called:                                                 #
#            qputa - put alpha data to memory                          #
#            qputd - put decimal data to memory                        #
#            qputi - put integer data to memory                        #
#                                                                      #
########################################################################
integer i, item

include(`gphcom')

   i = 1
   do item = 1, 4 {
      call qputa (item, bgtitl(i))   # current graph chart titles
      i = i + 41
      }
    
D 5
   call qputa (5, bglgfg)            # current graph legend flag
E 5
I 5
   call qputa (5, bgaxis)            # current graph independent axis type
   call qputa (6, bglgfg)            # current graph legend flag
E 5
D 2
   call qputa (6, bgfrfg)            # current graph frame flag
   call qputd (7, bgblin)            # current graph baseline
E 2

D 2
   call putnum (8, 1, 5)
E 2
I 2
D 3
   call putnum (6, 1, 5)
E 3
I 3
   call putnum (7, 1, 5)
E 3
E 2

   i = 1
D 2
   do item = 8, 12 {             
E 2
I 2
D 5
   do item = 6, 10 {             
E 5
I 5
   do item = 7, 11 {             
E 5
E 2
      call qputa (item, bgleng(i)) # current curve legends
      i = i + 21
      }

   i = 1
D 2
   do item = 13, 42 {
E 2
I 2
D 5
   do item = 11, 40 {
E 5
I 5
   do item = 12, 41 {
E 5
E 2
      call qputi (item, bgcvtp(i)) # current curve types etc.   
      i = i + 1
      }

return
end
E 1
